Index: TXM/trunk/sites/org.txm.rcp.updatesite.empty/category.xml
===================================================================
--- TXM/trunk/sites/org.txm.rcp.updatesite.empty/category.xml	(revision 0)
+++ TXM/trunk/sites/org.txm.rcp.updatesite.empty/category.xml	(revision 3657)
@@ -0,0 +1,3 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<site>
+</site>
Index: TXM/trunk/sites/org.txm.rcp.updatesite.empty/.settings/org.eclipse.core.resources.prefs
===================================================================
--- TXM/trunk/sites/org.txm.rcp.updatesite.empty/.settings/org.eclipse.core.resources.prefs	(revision 0)
+++ TXM/trunk/sites/org.txm.rcp.updatesite.empty/.settings/org.eclipse.core.resources.prefs	(revision 3657)
@@ -0,0 +1,2 @@
+eclipse.preferences.version=1
+encoding/<project>=UTF-8
Index: TXM/trunk/sites/org.txm.rcp.updatesite.empty/.project
===================================================================
--- TXM/trunk/sites/org.txm.rcp.updatesite.empty/.project	(revision 0)
+++ TXM/trunk/sites/org.txm.rcp.updatesite.empty/.project	(revision 3657)
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<projectDescription>
+	<name>org.txm.rcp.updatesite.empty</name>
+	<comment></comment>
+	<projects>
+	</projects>
+	<buildSpec>
+		<buildCommand>
+			<name>org.eclipse.pde.UpdateSiteBuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+	</buildSpec>
+	<natures>
+		<nature>org.eclipse.pde.UpdateSiteNature</nature>
+	</natures>
+</projectDescription>
Index: TXM/trunk/sites/org.txm.rcp.updatesite/.project
===================================================================
--- TXM/trunk/sites/org.txm.rcp.updatesite/.project	(revision 0)
+++ TXM/trunk/sites/org.txm.rcp.updatesite/.project	(revision 3657)
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<projectDescription>
+	<name>org.txm.rcp.updatesite</name>
+	<comment></comment>
+	<projects>
+	</projects>
+	<buildSpec>
+		<buildCommand>
+			<name>org.eclipse.pde.UpdateSiteBuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+	</buildSpec>
+	<natures>
+		<nature>org.eclipse.pde.UpdateSiteNature</nature>
+	</natures>
+</projectDescription>
Index: TXM/trunk/sites/org.txm.rcp.updatesite/index.html
===================================================================
--- TXM/trunk/sites/org.txm.rcp.updatesite/index.html	(revision 0)
+++ TXM/trunk/sites/org.txm.rcp.updatesite/index.html	(revision 3657)
@@ -0,0 +1,60 @@
+<html>
+<head>
+<title>org.txm.rcp.updatesite</title>
+<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
+<style>@import url("web/site.css");</style>
+<script type="text/javascript">
+	var returnval = 0;
+	var stylesheet, xmlFile, cache, doc;
+	function init(){
+		// NSCP 7.1+ / Mozilla 1.4.1+ / Safari
+		// Use the standard DOM Level 2 technique, if it is supported
+		if (document.implementation && document.implementation.createDocument) {
+			xmlFile = document.implementation.createDocument("", "", null);
+			stylesheet = document.implementation.createDocument("", "", null);
+			if (xmlFile.load){
+				xmlFile.load("site.xml");
+				stylesheet.load("web/site.xsl");
+			} else {
+				alert("Document could not be loaded by browser.");
+			}
+			xmlFile.addEventListener("load", transform, false);
+			stylesheet.addEventListener("load", transform, false);
+		}
+		//IE 6.0+ solution
+		else if (window.ActiveXObject) {
+			xmlFile = new ActiveXObject("msxml2.DOMDocument.3.0");
+			xmlFile.async = false;
+			xmlFile.load("site.xml");
+			stylesheet = new ActiveXObject("msxml2.FreeThreadedDOMDocument.3.0");
+			stylesheet.async = false;
+			stylesheet.load("web/site.xsl");
+			cache = new ActiveXObject("msxml2.XSLTemplate.3.0");
+			cache.stylesheet = stylesheet;
+			transformData();
+		}
+	}
+	// separate transformation function for IE 6.0+
+	function transformData(){
+		var processor = cache.createProcessor();
+		processor.input = xmlFile;
+		processor.transform();
+		data.innerHTML = processor.output;
+	}
+	// separate transformation function for NSCP 7.1+ and Mozilla 1.4.1+ 
+	function transform(){
+		returnval+=1;
+		if (returnval==2){
+			var processor = new XSLTProcessor();
+			processor.importStylesheet(stylesheet); 
+			doc = processor.transformToDocument(xmlFile);
+			document.getElementById("data").innerHTML = doc.documentElement.innerHTML;
+		}
+	}
+</script>
+</head>
+<body onload="init();">
+<!--[insert static HTML here]-->
+<div id="data"><!-- this is where the transformed data goes --></div>
+</body>
+</html>
Index: TXM/trunk/sites/org.txm.rcp.updatesite/category.xml
===================================================================
--- TXM/trunk/sites/org.txm.rcp.updatesite/category.xml	(revision 0)
+++ TXM/trunk/sites/org.txm.rcp.updatesite/category.xml	(revision 3657)
@@ -0,0 +1,127 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<site>
+   <feature id="org.txm.ahc.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.annotation.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.annotation.kr.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.annotation.urs.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.backtomedia.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.ca.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.chartsengine.jfreechart.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.chartsengine.r.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.concordance.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.conllu.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.cooccurrence.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.core.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.cql2lsa.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.dictionary.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.edition.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.groovy.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.index.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.internalview.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.lexicaltable.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.oriflamms.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.partition.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.perl.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.progression.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.properties.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.python.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.rcp.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.referencer.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.ruby.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.searchengine.cqp.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.specificities.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.statsengine.r.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.svn.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.textsbalance.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.translate.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.treesearch.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.treetagger.binaries.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.treetagger.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.treetagger.models.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.udpipe.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.wordcloud.feature">
+      <category name="TXM"/>
+   </feature>
+   <feature id="org.txm.xmleditor.feature">
+      <category name="TXM"/>
+   </feature>
+   <category-def name="TXM" label="TXM"/>
+</site>
Index: TXM/trunk/sites/org.txm.rcp.updatesite/web/site.xsl
===================================================================
--- TXM/trunk/sites/org.txm.rcp.updatesite/web/site.xsl	(revision 0)
+++ TXM/trunk/sites/org.txm.rcp.updatesite/web/site.xsl	(revision 3657)
@@ -0,0 +1,214 @@
+<xsl:stylesheet version = '1.0' xmlns:xsl='http://www.w3.org/1999/XSL/Transform' xmlns:msxsl="urn:schemas-microsoft-com:xslt">
+<xsl:output method="html" encoding="UTF-8"/>
+<xsl:key name="cat" match="category" use="@name"/>
+<xsl:template match="/">
+<xsl:for-each select="site">
+	<html>
+	<head>
+	<title>org.txm.rcp.updatesite</title>
+	<style>@import url("web/site.css");</style>
+	</head>
+	<body>
+	<h1 class="title">org.txm.rcp.updatesite</h1>
+	<p class="bodyText"><xsl:value-of select="description"/></p>
+	<table width="100%" border="0" cellspacing="1" cellpadding="2">
+	<xsl:for-each select="category-def">
+		<xsl:sort select="@label" order="ascending" case-order="upper-first"/>
+		<xsl:sort select="@name" order="ascending" case-order="upper-first"/>
+	<xsl:if test="count(key('cat',@name)) != 0">
+			<tr class="header">
+				<td class="sub-header" width="30%">
+					<xsl:value-of select="@name"/>
+				</td>
+				<td class="sub-header" width="70%">
+					<xsl:value-of select="@label"/>
+				</td>
+			</tr>
+			<xsl:for-each select="key('cat',@name)">
+			<xsl:sort select="ancestor::feature//@version" order="ascending"/>
+			<xsl:sort select="ancestor::feature//@id" order="ascending" case-order="upper-first"/>
+			<tr>
+				<xsl:choose>
+				<xsl:when test="(position() mod 2 = 1)">
+					<xsl:attribute name="class">dark-row</xsl:attribute>
+				</xsl:when>
+				<xsl:otherwise>
+					<xsl:attribute name="class">light-row</xsl:attribute>
+				</xsl:otherwise>
+				</xsl:choose>
+				<td class="log-text" id="indent">
+						<xsl:choose>
+						<xsl:when test="ancestor::feature//@label">
+							<a href="{ancestor::feature//@url}"><xsl:value-of select="ancestor::feature//@label"/></a>
+							<br/>
+							<div id="indent">
+							(<xsl:value-of select="ancestor::feature//@id"/> - <xsl:value-of select="ancestor::feature//@version"/>)
+							</div>
+						</xsl:when>
+						<xsl:otherwise>
+						<a href="{ancestor::feature//@url}"><xsl:value-of select="ancestor::feature//@id"/> - <xsl:value-of select="ancestor::feature//@version"/></a>
+						</xsl:otherwise>
+						</xsl:choose>
+						<br />
+				</td>
+				<td>
+					<table>
+						<xsl:if test="ancestor::feature//@os">
+							<tr><td class="log-text" id="indent">Operating Systems:</td>
+							<td class="log-text" id="indent"><xsl:value-of select="ancestor::feature//@os"/></td>
+							</tr>
+						</xsl:if>
+						<xsl:if test="ancestor::feature//@ws">
+							<tr><td class="log-text" id="indent">Windows Systems:</td>
+							<td class="log-text" id="indent"><xsl:value-of select="ancestor::feature//@ws"/></td>
+							</tr>
+						</xsl:if>
+						<xsl:if test="ancestor::feature//@nl">
+							<tr><td class="log-text" id="indent">Languages:</td>
+							<td class="log-text" id="indent"><xsl:value-of select="ancestor::feature//@nl"/></td>
+							</tr>
+						</xsl:if>
+						<xsl:if test="ancestor::feature//@arch">
+							<tr><td class="log-text" id="indent">Architecture:</td>
+							<td class="log-text" id="indent"><xsl:value-of select="ancestor::feature//@arch"/></td>
+							</tr>
+						</xsl:if>
+					</table>
+				</td>
+			</tr>
+			</xsl:for-each>
+			<tr><td class="spacer"><br/></td><td class="spacer"><br/></td></tr>
+		</xsl:if>
+	</xsl:for-each>
+	<xsl:if test="count(feature)  &gt; count(feature/category)">
+	<tr class="header">
+		<td class="sub-header" colspan="2">
+		Uncategorized
+		</td>
+	</tr>
+	</xsl:if>
+	<xsl:choose>
+	<xsl:when test="function-available('msxsl:node-set')">
+	   <xsl:variable name="rtf-nodes">
+		<xsl:for-each select="feature[not(category)]">
+			<xsl:sort select="@id" order="ascending" case-order="upper-first"/>
+			<xsl:sort select="@version" order="ascending" />
+			<xsl:value-of select="."/>
+			<xsl:copy-of select="." />
+		</xsl:for-each>
+	   </xsl:variable>
+	   <xsl:variable name="myNodeSet" select="msxsl:node-set($rtf-nodes)/*"/>
+	<xsl:for-each select="$myNodeSet">
+	<tr>
+		<xsl:choose>
+		<xsl:when test="position() mod 2 = 1">
+		<xsl:attribute name="class">dark-row</xsl:attribute>
+		</xsl:when>
+		<xsl:otherwise>
+		<xsl:attribute name="class">light-row</xsl:attribute>
+		</xsl:otherwise>
+		</xsl:choose>
+		<td class="log-text" id="indent">
+			<xsl:choose>
+			<xsl:when test="@label">
+				<a href="{@url}"><xsl:value-of select="@label"/></a>
+				<br />
+				<div id="indent">
+				(<xsl:value-of select="@id"/> - <xsl:value-of select="@version"/>)
+				</div>
+			</xsl:when>
+			<xsl:otherwise>
+				<a href="{@url}"><xsl:value-of select="@id"/> - <xsl:value-of select="@version"/></a>
+			</xsl:otherwise>
+			</xsl:choose>
+			<br /><br />
+		</td>
+		<td>
+			<table>
+				<xsl:if test="@os">
+					<tr><td class="log-text" id="indent">Operating Systems:</td>
+					<td class="log-text" id="indent"><xsl:value-of select="@os"/></td>
+					</tr>
+				</xsl:if>
+				<xsl:if test="@ws">
+					<tr><td class="log-text" id="indent">Windows Systems:</td>
+					<td class="log-text" id="indent"><xsl:value-of select="@ws"/></td>
+					</tr>
+				</xsl:if>
+				<xsl:if test="@nl">
+					<tr><td class="log-text" id="indent">Languages:</td>
+					<td class="log-text" id="indent"><xsl:value-of select="@nl"/></td>
+					</tr>
+				</xsl:if>
+				<xsl:if test="@arch">
+					<tr><td class="log-text" id="indent">Architecture:</td>
+					<td class="log-text" id="indent"><xsl:value-of select="@arch"/></td>
+					</tr>
+				</xsl:if>
+			</table>
+		</td>
+	</tr>
+	</xsl:for-each>
+	</xsl:when>
+	<xsl:otherwise>
+	<xsl:for-each select="feature[not(category)]">
+	<xsl:sort select="@id" order="ascending" case-order="upper-first"/>
+	<xsl:sort select="@version" order="ascending" />
+	<tr>
+		<xsl:choose>
+		<xsl:when test="count(preceding-sibling::feature[not(category)]) mod 2 = 1">
+		<xsl:attribute name="class">dark-row</xsl:attribute>
+		</xsl:when>
+		<xsl:otherwise>
+		<xsl:attribute name="class">light-row</xsl:attribute>
+		</xsl:otherwise>
+		</xsl:choose>
+		<td class="log-text" id="indent">
+			<xsl:choose>
+			<xsl:when test="@label">
+				<a href="{@url}"><xsl:value-of select="@label"/></a>
+				<br />
+				<div id="indent">
+				(<xsl:value-of select="@id"/> - <xsl:value-of select="@version"/>)
+				</div>
+			</xsl:when>
+			<xsl:otherwise>
+				<a href="{@url}"><xsl:value-of select="@id"/> - <xsl:value-of select="@version"/></a>
+			</xsl:otherwise>
+			</xsl:choose>
+			<br /><br />
+		</td>
+		<td>
+			<table>
+				<xsl:if test="@os">
+					<tr><td class="log-text" id="indent">Operating Systems:</td>
+					<td class="log-text" id="indent"><xsl:value-of select="@os"/></td>
+					</tr>
+				</xsl:if>
+				<xsl:if test="@ws">
+					<tr><td class="log-text" id="indent">Windows Systems:</td>
+					<td class="log-text" id="indent"><xsl:value-of select="@ws"/></td>
+					</tr>
+				</xsl:if>
+				<xsl:if test="@nl">
+					<tr><td class="log-text" id="indent">Languages:</td>
+					<td class="log-text" id="indent"><xsl:value-of select="@nl"/></td>
+					</tr>
+				</xsl:if>
+				<xsl:if test="@arch">
+					<tr><td class="log-text" id="indent">Architecture:</td>
+					<td class="log-text" id="indent"><xsl:value-of select="@arch"/></td>
+					</tr>
+				</xsl:if>
+			</table>
+		</td>
+	</tr>
+	</xsl:for-each>
+	</xsl:otherwise>
+	</xsl:choose>
+	</table>
+	</body>
+	</html>
+</xsl:for-each>
+</xsl:template>
+</xsl:stylesheet>
Index: TXM/trunk/sites/org.txm.rcp.updatesite/web/site.css
===================================================================
--- TXM/trunk/sites/org.txm.rcp.updatesite/web/site.css	(revision 0)
+++ TXM/trunk/sites/org.txm.rcp.updatesite/web/site.css	(revision 3657)
@@ -0,0 +1,12 @@
+<STYLE type="text/css">
+td.spacer {padding-bottom: 10px; padding-top: 10px;}
+.title { font-family: sans-serif; color: #99AACC;}
+.bodyText { font-family: sans-serif; font-size: 9pt; color:#000000;  }
+.sub-header { font-family: sans-serif; font-style: normal; font-weight: bold; font-size: 9pt; color: white;}
+.log-text {font-family: sans-serif; font-style: normal; font-weight: lighter; font-size: 8pt; color:black;}
+.big-header { font-family: sans-serif; font-style: normal; font-weight: bold; font-size: 9pt; color: white; border-top:10px solid white;}
+.light-row {background:#FFFFFF}
+.dark-row {background:#EEEEFF}
+.header {background:#99AADD}
+#indent {word-wrap : break-word;width :300px;text-indent:10px;}
+</STYLE>
Index: TXM/trunk/sites/org.txm.rcp.updatesite/.settings/org.eclipse.core.resources.prefs
===================================================================
--- TXM/trunk/sites/org.txm.rcp.updatesite/.settings/org.eclipse.core.resources.prefs	(revision 0)
+++ TXM/trunk/sites/org.txm.rcp.updatesite/.settings/org.eclipse.core.resources.prefs	(revision 3657)
@@ -0,0 +1,2 @@
+eclipse.preferences.version=1
+encoding/<project>=UTF-8
